package com.hfkj.service.gas;

import com.hfkj.entity.BsGasOrder;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 加油订单
 * @className: HighGasOrderService
 * @author: HuRui
 * @date: 2022/9/6
 **/
public interface BsGasOrderService {

    /**
     * 增加订单
     * @param gasOrder
     */
    void addGasOrder(BsGasOrder gasOrder);

    /**
     * 修改订单
     * @param gasOrder
     */
    void updateGasOrder(BsGasOrder gasOrder);

    /**
     *  根据子订单编号获取详情
     * @param orderChildNo 商品编号
     * @return
     */
    BsGasOrder getDetailByOrderChildNo(String orderChildNo);

    /**
     * 查询详情
     * @param orderNo
     * @return
     */
    BsGasOrder getDetailByOrderNo(String orderNo);

    /**
     * 补单
     * @param orderNo
     */
    BsGasOrder repairOrder(String orderNo) throws Exception;

    /**
     * 查询详情
     * @param paySerialNo
     * @return
     */
    BsGasOrder getDetailByPaySerialNo(String paySerialNo);

    /**
     * 查询详情
     * @param payChannelOrderNo
     * @return
     */
    BsGasOrder getDetailByPayChannelOrderNo(String payChannelOrderNo);

    /**
     * 查询想去
     * @param channelOrderNo
     * @return
     */
    BsGasOrder getDetailByChannelOrderNo(String channelOrderNo);

    /**
     * 查询加油订单统计
     * @param param
     * @return
     */
    Map<String,Object> getGasOrderCount(Map<String,Object> param);

    /**
     * 查询油站订单列表
     * @param param
     * @return
     */
    List<BsGasOrder> getGasOrderList(Map<String, Object> param);

    /**
     * 查询加油推广订单
     * @param param
     * @return
     */
    List<HashMap<String,Object>> getOilOrderSpread(Map<String, Object> param);

    /**
     * 统计今日订单数量
     * @param userPhone
     * @return
     */
    int countTodayOrder(String userPhone);
}
